Schedule Record Event
Configures a bot to automatically join and record a specific calendar event at its scheduled time. The UUID in the request path is the event UUID. The request body contains detailed bot configuration, including recording options, streaming settings, and webhook notification URLs. For recurring events, the 'all_occurrences' parameter can be set to true to schedule recording for all instances of the recurring series, or false (default) to schedule only the specific instance. Returns the updated event(s) with the bot parameters attached.
Authorization
ApiKeyAuth x-meeting-baas-api-key<token>
API key for authentication
In: header
Path Parameters
uuid*string
The UUID identifier
Query Parameters
all_occurrences?|
schedule a bot to all occurences of a recurring event
Request Body
application/json
bot_image?|
bot_name*string
deduplication_key?|
enter_message?|
extra?unknown
Custom data object
Default
nullnoone_joined_timeout?|
Format
int32recording_mode?|||
silence_timeout?|
Format
int32speech_to_text?||
streaming_audio_frequency?|
streaming_input?|
streaming_output?|
transcription_custom_parameters?unknown
Custom data object
Default
nullwaiting_room_timeout?|
Format
int32webhook_url?|
zoom_access_token_url?|
zoom_obf_token?|
zoom_obf_token_url?|
zoom_obf_token_user_id?|
zoom_sdk_id?|
zoom_sdk_pwd?|
Response Body
application/json
curl -X POST "https://api.meetingbaas.com/calendar_events/string/bot" \ -H "Content-Type: application/json" \ -d '{ "bot_name": "string" }'[
{
"attendees": [
{
"email": "string",
"name": "string"
}
],
"bot_param": {
"bot_image": "string",
"bot_name": "string",
"deduplication_key": "string",
"enter_message": "string",
"extra": {},
"noone_joined_timeout": 0,
"recording_mode": "speaker_view",
"speech_to_text_api_key": "string",
"speech_to_text_provider": "Gladia",
"streaming_audio_frequency": "16khz",
"streaming_input": "string",
"streaming_output": "string",
"transcription_custom_parameters": {},
"waiting_room_timeout": 0,
"webhook_url": "string",
"zoom_access_token_url": "string",
"zoom_obf_token": "string",
"zoom_obf_token_url": "string",
"zoom_obf_token_user_id": "string",
"zoom_sdk_id": "string",
"zoom_sdk_pwd": "string"
},
"calendar_uuid": "fd186a18-ef28-468e-9173-223796807e2e",
"deleted": true,
"end_time": "2019-08-24T14:15:22Z",
"google_id": "string",
"is_organizer": true,
"is_recurring": true,
"last_updated_at": "2019-08-24T14:15:22Z",
"meeting_url": "string",
"name": "string",
"raw": {},
"recurring_event_id": "string",
"start_time": "2019-08-24T14:15:22Z",
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"
}
]